Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script
Class BuilderClassNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.picocontainer.PicoException
                      org.nanocontainer.script.BuilderClassNotFoundException

All Implemented Interfaces:
  Serializable

    public class BuilderClassNotFoundException

extends org.picocontainer.PicoException

Indicates that a given class for a builder was not found by the ScriptedContainerBuilderFactory when trying to use its specified classloader.

Author:
  Michael Rimov
See Also:
  Serialized Form

Constructor Summary
`BuilderClassNotFoundException(String message)`
`BuilderClassNotFoundException(String message, Throwable cause)`
`BuilderClassNotFoundException(Throwable cause)`

Method Summary

Methods inherited from class org.picocontainer.PicoException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuilderClassNotFoundException

    public BuilderClassNotFoundException(String message)

### BuilderClassNotFoundException

    public BuilderClassNotFoundException(Throwable cause)

### BuilderClassNotFoundException

    public BuilderClassNotFoundException(String message,
                                         Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.